<template>
    <div if:false={reviewsToShow} class="slds-align_absolute-center">
        <div>No reviews available</div>
    </div>
    <div if:true={reviewsToShow} class="slds-feed reviews-style slds-is-relative slds-scrollable_y">
        <template if:true={isLoading}>
            <lightning-spinner alternative-text="Loading" size="small" variant="brand"></lightning-spinner>
        </template>
        <ul class="slds-feed__list">
            <template for:each={boatReviews} for:item="boatReview">
                <li class="slds-feed__item" key={boatReview.Id}>
                    <article class="slds-post">
                        <header class="slds-post__header slds-media">
                            <div class="slds-media__figure">
                                <lightning-avatar variant="circle" src={boatReview.CreatedBy.SmallPhotoUrl}
                                    alternative-text={boatReview.CreatedBy.Name}></lightning-avatar>
                            </div>
                            <div class="slds-media__body">
                                <div class="slds-grid slds-grid_align-spread slds-has-flexi-truncate">
                                    <p>
                                        <a data-record-id={boatReview.CreatedBy.Id} onclick={navigateToRecord}
                                            title={boatReview.CreatedBy.Name}>
                                            {boatReview.CreatedBy.Name}
                                        </a>
                                        <span>{boatReview.CreatedBy.CompanyName}</span>
                                    </p>
                                </div>
                                <p class="slds-text-body_small">
                                    <lightning-formatted-date-time value={boatReview.CreatedDate}>
                                    </lightning-formatted-date-time>
                                </p>
                            </div>
                        </header>
                        <div class="slds-text-longform">
                            <p class="slds-text-title_caps">{boatReview.Name}
                            </p>
                            <lightning-formatted-rich-text field-name={boatReview.Comment__c}>
                            </lightning-formatted-rich-text>
                        </div>
                        <c-five-star-rating onratingchange={refresh} read-only="true" value={boatReview.Rating__c}>
                        </c-five-star-rating>
                    </article>
                </li>
            </template>
        </ul>
    </div>
</template>